package com.ruoyi.shipping.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 地点基础信息（港口 码头 堆场 航线）对象 t_address
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
@Data
public class TAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 类型（1 港口 2 码头 3 堆场 4 航线） */
    @Excel(name = "类型", readConverterExp = "1=,港=口,2=,码=头,3=,堆=场,4=,航=线")
    private String fTypes;

    /** 编号 */
    @Excel(name = "编号")
    private String fNo;

    /** 名称 */
    @Excel(name = "名称")
    private String fName;

    /** 英文名 */
    @Excel(name = "英文名")
    private String fEname;

    /** 航线id */
    @Excel(name = "航线id")
    private Long fLaneid;

    /** 港口id */
    @Excel(name = "港口id")
    private Long fPortid;

    /** 国家 */
    @Excel(name = "国家")
    private String fCountry;

    /** 省 */
    @Excel(name = "省")
    private String fProvince;

    /** 市 */
    @Excel(name = "市")
    private String fCity;

    /** 电话 */
    @Excel(name = "电话")
    private String fTel;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String fEmail;

    /** 管理者 */
    @Excel(name = "管理者")
    private Long fManagerid;

    /** UNcode（同 f_types 不能重复） */
    @Excel(name = "UNcode", readConverterExp = "同=,f=_types,不=能重复")
    private String fUncode;

    /** 港口类型（海港、空港、内陆点） */
    @Excel(name = "港口类型", readConverterExp = "海=港、空港、内陆点")
    private String fPort;

    /** 默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "默认 T ,正常T 停用F 下拉选择")
    private String fStatus;
    //航线中文名称
    private String portName;
    //地点类型中文名称
    private String typesName;
    //港口类型中文名称
    private String havenName;
    //航线管理员
    private String managerName;
    //查询时间区间
    private List<String> cLoadDate;

    public String getPortName() {
        return portName;
    }

    public void setPortName(String portName) {
        this.portName = portName;
    }

    public String getTypesName() {
        return typesName;
    }

    public void setTypesName(String typesName) {
        this.typesName = typesName;
    }

    public String getHavenName() {
        return havenName;
    }

    public void setHavenName(String havenName) {
        this.havenName = havenName;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfTypes(String fTypes) 
    {
        this.fTypes = fTypes;
    }

    public String getfTypes() 
    {
        return fTypes;
    }
    public void setfNo(String fNo) 
    {
        this.fNo = fNo;
    }

    public String getfNo() 
    {
        return fNo;
    }
    public void setfName(String fName) 
    {
        this.fName = fName;
    }

    public String getfName() 
    {
        return fName;
    }
    public void setfEname(String fEname) 
    {
        this.fEname = fEname;
    }

    public String getfEname() 
    {
        return fEname;
    }
    public void setfLaneid(Long fLaneid) 
    {
        this.fLaneid = fLaneid;
    }

    public Long getfLaneid() 
    {
        return fLaneid;
    }
    public void setfPortid(Long fPortid) 
    {
        this.fPortid = fPortid;
    }

    public Long getfPortid() 
    {
        return fPortid;
    }
    public void setfCountry(String fCountry) 
    {
        this.fCountry = fCountry;
    }

    public String getfCountry() 
    {
        return fCountry;
    }
    public void setfProvince(String fProvince) 
    {
        this.fProvince = fProvince;
    }

    public String getfProvince() 
    {
        return fProvince;
    }
    public void setfCity(String fCity) 
    {
        this.fCity = fCity;
    }

    public String getfCity() 
    {
        return fCity;
    }
    public void setfTel(String fTel) 
    {
        this.fTel = fTel;
    }

    public String getfTel() 
    {
        return fTel;
    }
    public void setfEmail(String fEmail) 
    {
        this.fEmail = fEmail;
    }

    public String getfEmail() 
    {
        return fEmail;
    }
    public void setfManagerid(Long fManagerid) 
    {
        this.fManagerid = fManagerid;
    }

    public Long getfManagerid() 
    {
        return fManagerid;
    }
    public void setfUncode(String fUncode) 
    {
        this.fUncode = fUncode;
    }

    public String getfUncode() 
    {
        return fUncode;
    }
    public void setfPort(String fPort) 
    {
        this.fPort = fPort;
    }

    public String getfPort() 
    {
        return fPort;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fTypes", getfTypes())
            .append("fNo", getfNo())
            .append("fName", getfName())
            .append("fEname", getfEname())
            .append("fLaneid", getfLaneid())
            .append("fPortid", getfPortid())
            .append("fCountry", getfCountry())
            .append("fProvince", getfProvince())
            .append("fCity", getfCity())
            .append("fTel", getfTel())
            .append("fEmail", getfEmail())
            .append("fManagerid", getfManagerid())
            .append("fUncode", getfUncode())
            .append("fPort", getfPort())
            .append("fStatus", getfStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
